SAS_EXPANDER_ALLOC(9)

NAME
sas_expander_alloc - allocate an rphy for an end device

SYNOPSIS

struct sas_rphy * sas_expander_alloc(struct sas_port * parent, enum sas_device_type type);

ARGUMENTS

parent
    which port

type
    SAS_EDGE_EXPANDER_DEVICE or SAS_FANOUT_EXPANDER_DEVICE

DESCRIPTION

Allocates an SAS remote PHY structure, connected to parent.

RETURNS

SAS PHY allocated or NULL if the allocation failed.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT